Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.nurserostering.persistence
Class NurseRosteringImporter

    java.lang.Object
      org.optaplanner.examples.common.app.LoggingMain
          org.optaplanner.examples.common.persistence.AbstractSolutionImporter
              org.optaplanner.examples.common.persistence.AbstractXmlSolutionImporter
                  org.optaplanner.examples.nurserostering.persistence.NurseRosteringImporter

    public class NurseRosteringImporter

extends AbstractXmlSolutionImporter

Nested Class Summary
`static class` | `NurseRosteringImporter.NurseRosteringInputBuilder`

Nested classes/interfaces inherited from class org.optaplanner.examples.common.persistence.AbstractXmlSolutionImporter
`AbstractXmlSolutionImporter.XmlInputBuilder`

Nested classes/interfaces inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionImporter
`AbstractSolutionImporter.InputBuilder`

Field Summary

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionImporter
`DEFAULT_OUTPUT_FILE_SUFFIX, inputDir, outputDir, solutionDao`

Fields inherited from class org.optaplanner.examples.common.app.LoggingMain
`logger`

Constructor Summary
`NurseRosteringImporter()`

Method Summary
`AbstractXmlSolutionImporter.XmlInputBuilder` | `createXmlInputBuilder()`
`static void` | `main(String[] args)`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractXmlSolutionImporter
`getInputFileSuffix, readSolution`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionImporter
`acceptInputFile, acceptInputFileDuringBulkConvert, convert, convert, convertAll, getFlooredPossibleSolutionSize, getInputDir, getOutputDir, getOutputFileSuffix, isInputFileDirectory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NurseRosteringImporter

    public NurseRosteringImporter()

Method Detail

### main

    public static void main(String[] args)

### createXmlInputBuilder

    public AbstractXmlSolutionImporter.XmlInputBuilder createXmlInputBuilder()

  Specified by:
    `createXmlInputBuilder` in class `AbstractXmlSolutionImporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.